Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.http
Class HttpCookie

    java.lang.Object
      org.eclipse.jetty.http.HttpCookie

    public class HttpCookie

extends java.lang.Object

Constructor Summary
`HttpCookie(java.lang.String name, java.lang.String value)`
`HttpCookie(java.lang.String name, java.lang.String value, int maxAge)`
`HttpCookie(java.lang.String name, java.lang.String value, java.lang.String domain, java.lang.String path)`
`HttpCookie(java.lang.String name, java.lang.String value, java.lang.String domain, java.lang.String path, int maxAge, boolean httpOnly, boolean secure)`
`HttpCookie(java.lang.String name, java.lang.String value, java.lang.String domain, java.lang.String path, int maxAge, boolean httpOnly, boolean secure, java.lang.String comment, int version)`

Method Summary
`java.lang.String` | `getComment()` Get the comment.
`java.lang.String` | `getDomain()` Get the domain.
`int` | `getMaxAge()` Get the maxAge.
`java.lang.String` | `getName()` Get the name.
`java.lang.String` | `getPath()` Get the path.
`java.lang.String` | `getValue()` Get the value.
`int` | `getVersion()` Get the version.
`boolean` | `isHttpOnly()` Get the isHttpOnly.
`boolean` | `isSecure()` Get the secure.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpCookie

    public HttpCookie(java.lang.String name,
                      java.lang.String value)

### HttpCookie

    public HttpCookie(java.lang.String name,
                      java.lang.String value,
                      java.lang.String domain,
                      java.lang.String path)

### HttpCookie

    public HttpCookie(java.lang.String name,
                      java.lang.String value,
                      int maxAge)

### HttpCookie

    public HttpCookie(java.lang.String name,
                      java.lang.String value,
                      java.lang.String domain,
                      java.lang.String path,
                      int maxAge,
                      boolean httpOnly,
                      boolean secure)

### HttpCookie

    public HttpCookie(java.lang.String name,
                      java.lang.String value,
                      java.lang.String domain,
                      java.lang.String path,
                      int maxAge,
                      boolean httpOnly,
                      boolean secure,
                      java.lang.String comment,
                      int version)

Method Detail

### getName

    public java.lang.String getName()

  Get the name.

  Returns:
    the name

### getValue

    public java.lang.String getValue()

  Get the value.

  Returns:
    the value

### getComment

    public java.lang.String getComment()

  Get the comment.

  Returns:
    the comment

### getDomain

    public java.lang.String getDomain()

  Get the domain.

  Returns:
    the domain

### getMaxAge

    public int getMaxAge()

  Get the maxAge.

  Returns:
    the maxAge

### getPath

    public java.lang.String getPath()

  Get the path.

  Returns:
    the path

### isSecure

    public boolean isSecure()

  Get the secure.

  Returns:
    the secure

### getVersion

    public int getVersion()

  Get the version.

  Returns:
    the version

### isHttpOnly

    public boolean isHttpOnly()

  Get the isHttpOnly.

  Returns:
    the isHttpOnly

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.